Calling Developers!
We are reenergizing our code contribution process! Learn More

What are the Slack Archives?

It’s a history of our time together in the Slack Community! There’s a ton of knowledge in here, so feel free to search through the archives for a possible answer to your question.

Because this space is not active, you won’t be able to create a new post or comment here. If you have a question or want to start a discussion about something, head over to our categories and pick one to post in! You can always refer back to a post from Slack Archives if needed; just copy the link to use it as a reference..

@UJJQTT1QQ Could it be the case that has a h

Options
Alberto Reyer
Alberto Reyer Lead Spryker Solution Architect / Technical Director Posts: 690 🪐 - Explorer

@valerii.trots Could it be the case that https://github.com/spryker/oms/releases/tag/11.16.1 has a hard dependency to the patch version https://github.com/spryker/propel/releases/tag/3.34.2 caused by the commits https://github.com/spryker/propel/commit/f8fa58f9fc2e734507b773028c386bf89ec544a2 and https://github.com/spryker/oms/commit/d6cc889a6e846d08e5a423d36d44e41b38cd51ce that is missing in the composer.json of spryker/oms?
Even on the current release the spryker/oms only requires spryker/propel 3.28.0 (https://github.com/spryker/oms/blob/master/composer.json#L15).

Background:

In https://github.com/spryker/oms/commit/d6cc889a6e846d08e5a423d36d44e41b38cd51ce#diff-232e8ee31c4d6a1cf9132ba707d4[…]36420e8a3a13cd1fb545f2f9871c9L138 a new call to $this->commitIdentical() was introduced, which is a method of the ActiveRecordBatchProcessorTrait but only since spryker/propel 3.34.2.
So a patch version (spryker/oms 11.16.1) introduced a breaking change, because the spryker/propel constraint is too loose and to fix this a patch version would need a constrain to another patch version. I'm not sure if the clean solution, to set the right constraint from spryker/oms to spryker/propel is the best approach here, as it looks strange to have a patch version constraint. The alternative would be to revert the change in spryker/oms 11.16.1 and release spryker/oms with a new major including the change and at the same time releasing propel with a new minor on which spryker/oms can depend on.

@UQK3ZPJEN Might see another solution I don't see here.

Comments

  • Alberto Reyer
    Alberto Reyer Lead Spryker Solution Architect / Technical Director Posts: 690 🪐 - Explorer
    Options

    For sure it can be fixed on project level by adapting the composer.json, but this is more a workaround for unclean constraints between core dependencies:

    "spryker/propel": "^3.34.2"
    
  • Valerii Trots
    Valerii Trots SRE @ Spryker Sprykee Posts: 1,654 ✨ - Novice
    Options

    Hi Alberto! Could you create a support request please?